## org.jfree.report.flow.layoutprocessor
Class StaticTextLayoutController

    java.lang.Object
      org.jfree.report.flow.layoutprocessor.AbstractLayoutController
          org.jfree.report.flow.layoutprocessor.StaticTextLayoutController

All Implemented Interfaces:
  java.lang.Cloneable, LayoutController

    public class StaticTextLayoutController

extends AbstractLayoutController

Creation-Date: 24.11.2006, 15:06:56

Author:
  Thomas Morgner

Field Summary
`static int` `FINISHED`
`static int` `NOT_STARTED`

Constructor Summary
`StaticTextLayoutController()`

Method Summary
`LayoutController` `advance(ReportTarget target)` Advances the processing position.
`LayoutController` `createPrecomputeInstance(FlowController fc)` Derives a copy of this controller that is suitable to perform a precomputation.
`boolean` `isAdvanceable()` Checks, whether the layout controller would be advanceable.
`LayoutController` `join(FlowController flowController)` Joins with a delegated process flow.

Methods inherited from class org.jfree.report.flow.layoutprocessor.AbstractLayoutController
`clone, getFlowController, getNode, getParent, initialize, isInitialized`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NOT_STARTED

    public static final int NOT_STARTED

See Also:
  Constant Field Values

### FINISHED

    public static final int FINISHED

See Also:
  Constant Field Values

Constructor Detail

### StaticTextLayoutController

    public StaticTextLayoutController()

Method Detail

### advance

    public LayoutController advance(ReportTarget target)
                             throws DataSourceException,
                                    ReportDataFactoryException,
                                    ReportProcessingException

  Advances the processing position.

  Parameters:
    `target` - the report target that receives generated events.
  Returns:
    the new layout controller instance representing the new state.
  Throws:
    `DataSourceException` - if there was a problem reading data from the datasource.
    `ReportProcessingException` - if there was a general problem during the report processing.
    `ReportDataFactoryException` - if a query failed.

### join

    public LayoutController join(FlowController flowController)

  Joins with a delegated process flow. This is generally called from a child flow and should *not* (I mean it!) be called from outside. If you do, you'll suffer.

  Parameters:
    `flowController` - the flow controller of the parent.
  Returns:
    the joined layout controller that incorperates all changes from the delegate.

### isAdvanceable

    public boolean isAdvanceable()

  Checks, whether the layout controller would be advanceable. If this method returns true, it is generally safe to call the 'advance()' method.

  Returns:
    true, if the layout controller is advanceable, false otherwise.

### createPrecomputeInstance

    public LayoutController createPrecomputeInstance(FlowController fc)

  Derives a copy of this controller that is suitable to perform a precomputation. The returned layout controller must be independent from the it's anchestor controller.

  Specified by:
    `createPrecomputeInstance` in interface `LayoutController`
  Overrides:
    `createPrecomputeInstance` in class `AbstractLayoutController`
  Parameters:
    `fc` - a new flow controller for the precomputation.
  Returns:
    a copy that is suitable for precomputation.